package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.vo.pricing.GP_PricingOcupaAntecipaLegendaVO;
import com.rjconsultores.ventaboletos.vo.pricing.GP_PricingOcupaAntecipaLegendaVO.GP_PricingOcupaAtencipaLegendaItemVO;

public class RenderPricingOcupaAntecipaLegenda implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		GP_PricingOcupaAntecipaLegendaVO legenda = (GP_PricingOcupaAntecipaLegendaVO) o;
		
		Listcell lc = new Listcell(legenda.getLegenda());
        lc.setParent(lstm);
        
        for (GP_PricingOcupaAtencipaLegendaItemVO poltrona: legenda.getItens()) {
        	lc = new Listcell(poltrona.getDescricao());
        	String style = "text-align:center; font-weight:bold; background-color:" + poltrona.getCor();
        	lc.setStyle(style);
        	lc.setParent(lstm);
		}

        lstm.setAttribute("data", legenda);
	}

}
